package com.pcloud.book.custom.mapper;

import com.pcloud.book.custom.entity.CustomRightsItemDescription;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface CustomRightsItemDescriptionMapper {
    int deleteByPrimaryKey(Long id);

    int insert(CustomRightsItemDescription record);

    int insertSelective(CustomRightsItemDescription record);

    CustomRightsItemDescription selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(CustomRightsItemDescription record);

    int updateByPrimaryKey(CustomRightsItemDescription record);

    void batchInsert(List<CustomRightsItemDescription> customRightsItemDescriptionList);

    void deleteByPlanId(Integer planId);
}